QGIS Application - Bug report #16396
Inconsistent transparency behavior when using blending and PNG export
2017-03-30 05:41 AM - Martin HOFFMANN

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24305
Description

Combination of blending techniques can be used to produce a composer map item that achieve transparency in composer view but is
exported as an opaque white object when exporting to PNG.
| produced a demonstration .qgs file embedded in the attached zip.

This is what you see in the composer.

qgis_view.png

This is what you get when opening the resulting png using gimp.
gimp_view.png

As you might notice map 3 & 4 both achieve transparency because the yellow rectangle in the background is visible in the resulting png.
However a white background is applied on map 4 for whatever reason.

Tested on windows 10 & Ubuntu 14.04 with Qgis 2.18.5

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#2 - 2017-09-22 09:53 AM - Jiirgen Fischer

- Category set to Unknown

#3 - 2019-02-23 06:25 PM - salvatore fiandaca
- Description updated
- Status changed from Open to Closed

trying in 3.4.4-3 it is not possible to activate the theme 'masked' in the TOC, therefore it is evaluated as a problem of 2.18 and not of 3.4

#4 - 2019-02-23 10:06 PM - Giovanni Manghi
- Resolution set to fixed/implemented

salvatore fiandaca wrote:

trying in 3.4.4-3 it is not possible to activate the theme ‘masked' in the TOC, therefore it is evaluated as a problem of 2.18 and not of 3.4
when closing a ticket please add a proper resolution.

#5 - 2019-02-23 10:22 PM - salvatore fiandaca
- Status changed from Closed to Reopened

I'm sorry,

| studied the problem and in my opinion is a problem limited to 2.x; to avoid problems reapro issue

#6 - 2019-02-23 10:27 PM - Giovanni Manghi
- Status changed from Reopened to Closed

salvatore fiandaca wrote:

I'm sorry,

| studied the problem and in my opinion is a problem limited to 2.x; to avoid problems reapro issue

If a ticket needs to be reopened then resolution must be removed. Anyway if is a 2.x only issue this must be ticket, as 2.* is EOL.
